exports.up = async knex => {
    return knex.schema.createTable('accounts', table => {
        table.uuid('id').primary();
        table.timestamps(true, true);
        table.string('name', 42).notNullable().unique();
        table.string('password').notNullable();
        table.string('token', 64).notNullable();

        table.index('name');
        table.index('id');
    });
};

exports.down = async () => {};